6.0.0-git
2019-04-25

[#11227] Error: "Locked galleries are not viewable via the api." for non locked gallery
Summary Error: "Locked galleries are not viewable via the api." for non locked gallery
Queue Ansel
Queue Version 2.0.1
Type Bug
State Resolved
Priority 1. Low
Owners mrubinsk (at) horde (dot) org
Requester maxime (at) memesi (dot) net
Created 2012-06-22 (2498 days ago)
Due
Updated 2012-08-29 (2430 days ago)
Assigned
Resolved 2012-06-22 (2498 days ago)
Milestone
Patch Yes

History
2012-08-29 12:39:20 Git Commit Comment #7 Reply to this comment
Changes have been made in Git (master):

commit 5a95a608a363ccec0a6dcdb14ee88bae5781c94c
Author: maxime@chavagne.net <maxime@chavagne.net>
Date:   Fri Jun 22 17:42:04 2012 -0400

     Bug #11227 Fix reveresed logic.
     Signed-off-by: Michael J Rubinsky <mrubinsk@horde.org>

  ansel/lib/Api.php |    2 +-
  1 files changed, 1 insertions(+), 1 deletions(-)

http://git.horde.org/horde-git/-/commit/5a95a608a363ccec0a6dcdb14ee88bae5781c94c
2012-06-25 21:27:05 Git Commit Comment #6 Reply to this comment
Changes have been made in Git (develop):

commit a59eab2e4255dee39e1dece6da428ab141fd1a03
Author: maxime@chavagne.net <maxime@chavagne.net>
Date:   Fri Jun 22 17:42:04 2012 -0400

     Bug #11227 Fix reveresed logic.
     Signed-off-by: Michael J Rubinsky <mrubinsk@horde.org>

  ansel/lib/Api.php |    2 +-
  1 files changed, 1 insertions(+), 1 deletions(-)

http://git.horde.org/horde-git/-/commit/a59eab2e4255dee39e1dece6da428ab141fd1a03
2012-06-22 22:30:13 Michael Rubinsky Comment #5
Assigned to Michael Rubinsky
State ⇒ Resolved
Reply to this comment
Commited, thanks!
2012-06-22 21:43:40 Git Commit Comment #4 Reply to this comment
Changes have been made in Git (master):

commit a59eab2e4255dee39e1dece6da428ab141fd1a03
Author: maxime@chavagne.net <maxime@chavagne.net>
Date:   Fri Jun 22 17:42:04 2012 -0400

     Bug #11227 Fix reveresed logic.
     Signed-off-by: Michael J Rubinsky <mrubinsk@horde.org>

  ansel/lib/Api.php |    2 +-
  1 files changed, 1 insertions(+), 1 deletions(-)

http://git.horde.org/horde-git/-/commit/a59eab2e4255dee39e1dece6da428ab141fd1a03
2012-06-22 21:42:31 Git Commit Comment #3 Reply to this comment
Changes have been made in Git (develop):

commit 5a95a608a363ccec0a6dcdb14ee88bae5781c94c
Author: maxime@chavagne.net <maxime@chavagne.net>
Date:   Fri Jun 22 17:42:04 2012 -0400

     Bug #11227 Fix reveresed logic.
     Signed-off-by: Michael J Rubinsky <mrubinsk@horde.org>

  ansel/lib/Api.php |    2 +-
  1 files changed, 1 insertions(+), 1 deletions(-)

http://git.horde.org/horde-git/-/commit/5a95a608a363ccec0a6dcdb14ee88bae5781c94c
2012-06-22 21:21:25 maxime (at) chavagne (dot) net Comment #2
New Attachment: ansel-locked-gallery-2.0.1.patch Download
Reply to this comment
The patch

2012-06-22 21:18:24 maxime (at) memesi (dot) net Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Error: "Locked galleries are not viewable via the api." for non locked gallery
Queue ⇒ Ansel
Milestone ⇒
Patch ⇒ Yes
Reply to this comment
When trying to access gallery via api :
ansel/lib/Api.php On line 654
         // Check age and password
         if (!$gallery->hasPasswd() || !$gallery->isOldEnough()) {
             throw new Horde_Exception_PermissionDenied(
                 _("Locked galleries are not viewable via the api."));
         }

I think this should be :
         // Check age and password
         if ($gallery->hasPasswd() || !$gallery->isOldEnough()) {
             throw new Horde_Exception_PermissionDenied(
                 _("Locked galleries are not viewable via the api."));
         }

Saved Queries